import java.lang.*;
import java.math.*;
import java.util.*;
import java.lang.reflect.*;


@Converter(forClass=CDate.class, id="ConvertCDate2")
class ConvertCDate2 extends ConvertGeneric<CDate>
{
	public Class<CDate> getClassType()
	{
		return CDate.class;
	}
}


public class A
{
	public static void main(String[] args)
	{
		System.out.println("=========================");
		Object o1 = new B<Integer>().getClassType();
		System.out.println("=========================");
		Object o2 = new B<Integer>().getClassType2();
		System.out.println("=========================");
		//System.out.println(":" + o2);
	}
}
